import sidebarLocale from './sidebar';
import {uiLocale} from './ui';
import {bottomBar} from './bottombar';
export const locale = {
  it: {
    common: {
      close: 'Chiudi',
      confirm: 'Conferma',
      yes: 'Si',
      no: 'No',
      show: 'Mostra',
      hide: 'Nascondi',
    },
    canvas: {
      copiedToClipboard: 'Snippet copiato negli appunti',
      linkGeneratedToClipboard: 'Link copiato negli appunti',
    },
    locales: {
      it: 'Italiano',
      en: 'Inglese',
      de: 'Tedesco',
      es: 'Spagnolo',
    },
    toolbar: {
      export: 'Exporta',
      openNewTab: 'Apri',
      loadingNewTab: 'Preparando link...',
      share: 'Condividi',
      generateLink: 'Genera link',
      toggleTheme: 'Modifica tema',
      changeLanguage: 'Modifica lingua',
      exportLoading: 'Exportando...',
    },
    pwa: {
      offline: 'App pronta per lavorare offline',
      update:
        'Nuovo contenuto disponibile, ricarica il contenuto per aggiornare',
      close: 'Chiudi',
      reload: 'Ricarica',
    },
    export: {
      title: 'Esporta immagine',
      shareMode: 'Condividi il tuo codice',
      shareHint: 'Questa modalità usa la nuova',
      noOpacitySupportedWithThisExtension:
        'La transparenza personalizzata non è compatibile con questa estensione',
      exportMode: 'Esporta come immagine',
      fileName: 'Nome file',
      fileNamePlaceholder: 'Inserisci nome file...',
      extensionType: 'Estensione file',
      pixelRatio: 'Scala',
      genericSaveError: 'Si è verificato un errore durante il salvataggio',
      quality: 'Qualità',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Scorciatoie tastiera',
      focusCodeEditor: 'Focus editor di codice',
      unFocusCodeEditor: 'Unfocus editor di codice',
      toggleBackground: 'Attiva/disattiva background',
      toggleDarkMode: 'Attiva/disattiva modalitá dark',
      toggleHeader: 'Mostra/nascondi intestazione',
      toggleWatermark: 'Mostra/nascondi watermark',
      selectLanguage: 'Seleziona lingua',
      changePadding: 'Modifica padding',
      pickRandomTheme: 'Seleziona tema random',
      export: 'Esporta',
      exportNewTab: 'Esporta in una nuova tab',
      copyLink: 'Copia link',
      copySnippet: 'Copy snippet',
      openShortcuts: 'Apri scorciatoie',
    },
    themeSwitcher: {
      search: 'Cerca tema...',
    },
    ...sidebarLocale.it,
    ...uiLocale.it,
    ...bottomBar.it,
  },
  en: {
    ...sidebarLocale.en,
    canvas: {
      copiedToClipboard: 'Snippet copied to clipboard',
      linkGeneratedToClipboard: 'Link copied to clipboard',
    },
    common: {
      close: 'Close',
      confirm: 'Confirm',
      yes: 'Yes',
      no: 'No',
      show: 'Show',
      hide: 'Hide',
    },
    locales: {
      it: 'Italian',
      en: 'English',
      de: 'German',
      es: 'Spanish',
    },
    toolbar: {
      export: 'Export',
      openNewTab: 'Open',
      loadingNewTab: 'Preparing link...',
      share: 'Share',
      generateLink: 'Generate link',
      toggleTheme: 'Toggle theme',
      changeLanguage: 'Change language',
      exportLoading: 'Exporting...',
    },
    pwa: {
      offline: 'App ready to work offline',
      update: 'New content available, click on reload button to update',
      close: 'Close',
      reload: 'Reload',
    },
    export: {
      title: 'Export image',
      shareMode: 'Share your code',
      shareHint: 'This modality uses the new',
      exportMode: 'Export as image',
      fileName: 'File name',
      fileNamePlaceholder: 'Enter file name...',
      extensionType: 'File extension',
      pixelRatio: 'Scale',
      genericSaveError: 'An error occurred while saving',
      noOpacitySupportedWithThisExtension:
        'The custom transparency is not compatible with this extension',
      quality: 'Quality',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Keyboard shortcuts',
      focusCodeEditor: 'Focus code editor',
      unFocusCodeEditor: 'Unfocus code editor',
      toggleBackground: 'Toggle background',
      toggleDarkMode: 'Toggle dark mode',
      toggleHeader: 'Toggle header',
      toggleWatermark: 'Toggle watermark',
      changePadding: 'Change padding',
      pickRandomTheme: 'Pick random theme',
      export: 'Export',
      exportNewTab: 'Export in a new tab',
      copyLink: 'Copy link',
      copySnippet: 'Copy snippet',
      openShortcuts: 'Open shortcuts',
    },
    themeSwitcher: {
      search: 'Search theme...',
    },
    ...uiLocale.en,
    ...bottomBar.en,
  },
  de: {
    common: {
      close: 'Schließen',
      confirm: 'Bestätigen Sie',
      yes: 'Ja',
      no: 'Nein',
      show: 'Anzeigen',
      hide: 'Verstecken',
    },
    canvas: {
      copiedToClipboard: 'Snippet copied to clipboard',
      linkGeneratedToClipboard: 'Link copied to clipboard',
    },
    locales: {
      it: 'Italienisch',
      en: 'Englisch',
      de: 'Deutsch',
      es: 'Spanisch',
    },
    toolbar: {
      export: 'Export',
      share: 'Teilen',
      openNewTab: 'Du öffnest',
      loadingNewTab: 'Preparing link...',
      toggleTheme: 'Thema umschalten',
      changeLanguage: 'Thema umschalten',
      generateLink: 'Generate link',
      exportLoading: 'Exportieren...',
    },
    pwa: {
      offline: 'App ready to work offline',
      update: 'New content available, click on reload button to update',
      close: 'Close',
      reload: 'Reload',
    },
    export: {
      title: 'Bild exportieren',
      shareMode: 'Teilen Sie Ihren Code',
      shareHint: 'Diese Modalität verwendet das Neue',
      exportMode: 'Als Bild exportieren',
      fileName: 'Dateiname',
      fileNamePlaceholder: 'Dateinamen eingeben...',
      extensionType: 'Dateierweiterung',
      pixelRatio: 'Skala',
      genericSaveError: 'Beim Speichern ist ein Fehler aufgetreten',
      noOpacitySupportedWithThisExtension:
        'Die benutzerdefinierte Transparenz ist mit dieser Erweiterung nicht kompatibel',
      quality: 'Quality',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Tastatürkürzel',
      focusCodeEditor: 'Focus code editor',
      unFocusCodeEditor: 'Fokus-Code-Editor',
      toggleBackground: 'Hintergrund umschalten',
      toggleDarkMode: 'Dunkelmodus umschalten',
      toggleHeader: 'Kopfzeile umschalten',
      toggleWatermark: 'Wasserzeichen umschalten',
      changePadding: 'Polsterung wechseln',
      pickRandomTheme: 'Wählen Sie ein zufälliges Thema',
      export: 'Export',
      exportNewTab: 'Export in a new tab',
      copySnippet: 'Copy snippet',
      copyLink: 'Link kopieren',
      openShortcuts: 'Verknüpfungen öffnen',
    },
    themeSwitcher: {
      search: 'Thema suchen...',
    },
    ...sidebarLocale.de,
    ...uiLocale.de,
    ...bottomBar.de,
  },
  es: {
    common: {
      close: 'Cerrar',
      confirm: 'Confirmar',
      yes: 'Si',
      no: 'No',
      show: 'Mostrar',
      hide: 'Esconder',
    },
    canvas: {
      copiedToClipboard: 'Snippet copiado al portapapeles',
      linkGeneratedToClipboard: 'Link copiado al portapapeles',
    },
    locales: {
      it: 'Italiano',
      en: 'Inglés',
      de: 'Alemán',
      es: 'Español',
    },
    toolbar: {
      export: 'Exportar',
      openNewTab: 'Abrir',
      loadingNewTab: 'Preparando enlace...',
      share: 'Compartir',
      generateLink: 'Generar enlace',
      toggleTheme: 'Editar tema',
      changeLanguage: 'Editar lenguaje',
      exportLoading: 'Exportando...',
    },
    pwa: {
      offline: 'App lista para trabajar sin conexión',
      update: 'Nuevo contenido disponible, recarga la pagina para actualizar',
      close: 'Cerrar',
      reload: 'Recargar',
    },
    export: {
      title: 'Exporta imagen',
      shareMode: 'Comparte tu código',
      shareHint: 'Esta modalidad utiliza el nuevo',
      noOpacitySupportedWithThisExtension:
        'La transparencia personalizada no es compatible con esta extensión',
      exportMode: 'Exportar como imagen',
      fileName: 'Nombre del archivo',
      fileNamePlaceholder: 'Inserta el nombre del archivo...',
      extensionType: 'Extensión de archivo',
      pixelRatio: 'Escala',
      genericSaveError: 'Se produjo un error al guardar',
      quality: 'Calidad',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Atajos de teclado',
      focusCodeEditor: 'Focus editor de codigo',
      unFocusCodeEditor: 'Unfocus editor de codigo',
      toggleBackground: 'Activa/Desactiva fondo',
      toggleDarkMode: 'Activa/Desactiva modalitá dark',
      toggleHeader: 'Muestra/Esconde intestazione',
      toggleWatermark: 'Muestra/Esconde watermark',
      selectLanguage: 'Selecciona lenguaje',
      changePadding: 'Modifica padding',
      pickRandomTheme: 'Selecciona tema random',
      export: 'Exporta',
      exportNewTab: 'Exporta en una nueva tab',
      copyLink: 'Copia enlace',
      copySnippet: 'Copia snippet',
      openShortcuts: 'Abre atajo',
    },
    themeSwitcher: {
      search: 'Busca tema...',
    },
    ...sidebarLocale.es,
    ...uiLocale.es,
    ...bottomBar.es,
  },
};

export type AppLocaleEntries = typeof locale;
